const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '组队信息', leftArrow: true, useBar: false },
        list: [],
        // 弹框
        dialog: { title: '详细信息', show: false, type: '1' },
        info: {}
    },
    // 跳转菜单
    back(e) {
        wx.navigateBack({ delta: 1 })
    },
    // 详细信息
    toView: async function (e) {
        const that = this;
        const { item } = e.currentTarget.dataset;
        // 赛事信息
        const match = await app.$get(`/newCourt/api/match/${item.match_id}`);
        if (match.errcode = '0') { item.match_name = match.data.name; item.grouping = match.data.grouping; };
        // 赛事组别
        let group = match.data.grouping.find((i) => i._id == item.grouping_id);
        if (group) { item.grouping_name = group.name; }
        // 赛事项目
        const project = await app.$get(`/newCourt/api/matchProject/${item.project_id}`)
        if (project.errcode = '0') { item.project_name = project.data.name };
        that.setData({ info: item })
        that.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
    },
    // 关闭弹框
    toClose: function () {
        const that = this;
        that.setData({ dialog: { title: '详细信息', show: false, type: '1' } })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        // 监听用户是否登录
        that.watchLogin();
    },
    watchLogin: function () {
        const that = this;
        let searchInfo = that.data.searchInfo;
        wx.getStorage({
            key: 'user',
            success: async (res) => {
                let info = { skip: 0, limit: 1000 };
                if (searchInfo && searchInfo.name) info.teammate_name = searchInfo.name;
                const arr = await app.$get(`/newCourt/api/teamApply`, { openid: res.data.openid, ...info });
                if (arr.errcode == '0') {
                    that.setData({ list: arr.data })
                } else { wx.showToast({ title: `${res.errMsg}`, icon: 'fail', duration: 2000 }); }
            },
            fail: async (res) => {
                wx.redirectTo({ url: '/pages/index/index' });
            },
        });
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})